using System;
using System.Web.UI;

namespace GMW
{
    public partial class Bootstrap : System.Web.UI.MasterPage
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                lblVers.Text = string.Format("v.{0}", System.Reflection.Assembly.GetExecutingAssembly().GetName().Version);
                setTimer();
                updateLabels();
            }
        }
        /// <summary>
        /// imposta il tempo di scadenza del timer x il refresh della pagina (della parte top) per evitare che la sessione sul server scada
        /// </summary>
        private void setTimer()
        {
            Timer1.Interval = SteamWare.memLayer.ML.confReadInt("intUpdatePagina_ms");
        }
        protected void Timer1_Tick(object sender, EventArgs e)
        {
            updateLabels();
        }
        private void updateLabels()
        {
            lblDateTime.Text = DateTime.Now.ToString();
            lblUtente.Text = GMW_data.MagClass.magazzino.CodSoggCurrUser;
        }
    }
}